- if can?(current_user, :push_code, @project)
  - can_create_merge_request = can?(current_user, :create_merge_request_in, @project)
  - data_action = can_create_merge_request ? 'create-mr' : 'create-branch'
  - value = can_create_merge_request ? 'Create merge request' : 'Create branch'
  - value = can_create_confidential_merge_request? ? _('Create confidential merge request') : value
  - create_mr_text = can_create_confidential_merge_request? ? _('Create confidential merge request') : _('Create merge request')

  - can_create_path = can_create_branch_project_issue_path(@project, @issue)
  - create_mr_path = create_merge_request_project_issue_path(@project, @issue, branch_name: @issue.to_branch_name, ref: @project.default_branch)
  - create_branch_path = project_branches_path(@project, branch_name: @issue.to_branch_name, ref: @project.default_branch, issue_iid: @issue.iid)
  - refs_path = refs_namespace_project_path(@project.namespace, @project, search: '')

  .create-mr-dropdown-wrap.d-inline-block.full-width-mobile.js-create-mr{ data: { project_path: @project.full_path, project_id: @project.id, can_create_path: can_create_path, create_mr_path: create_mr_path, create_branch_path: create_branch_path, refs_path: refs_path, is_confidential: can_create_confidential_merge_request?.to_s } }
    .btn-group.btn-group-sm.unavailable
      %button.btn.btn-grouped{ type: 'button', disabled: 'disabled' }
        .spinner.align-text-bottom.mr-1.hide
        %span.text
          Checking branch availability…

    .btn-group.btn-group-sm.available.hidden
      %button.gl-button.btn.js-create-merge-request.btn-success.btn-inverted{ type: 'button', data: { action: data_action } }
        .spinner.js-spinner.gl-mr-2.gl-display-none
        = value

      %button.btn.gl-button.create-merge-request-dropdown-toggle.dropdown-toggle.btn-success.btn-inverted.js-dropdown-toggle.gl-flex-grow-0.gl-h-7{ type: 'button', data: { dropdown: { trigger: '#create-merge-request-dropdown' }, display: 'static' } }
        = sprite_icon('chevron-down')

      .droplab-dropdown
        %ul#create-merge-request-dropdown.create-merge-request-dropdown-menu.dropdown-menu.dropdown-menu-right.gl-show-field-errors{ class: ("create-confidential-merge-request-dropdown-menu" if can_create_confidential_merge_request?), data: { dropdown: true } }
          - if can_create_merge_request
            %li.droplab-item-selected{ role: 'button', data: { value: 'create-mr', text: create_mr_text } }
              .menu-item.text-nowrap
                = sprite_icon('check', css_class: 'icon')
                - if can_create_confidential_merge_request?
                  = _('Create confidential merge request and branch')
                - else
                  = _('Create merge request and branch')

          %li{ class: [!can_create_merge_request && 'droplab-item-selected'], role: 'button', data: { value: 'create-branch', text: _('Create branch') } }
            .menu-item
              = sprite_icon('check', css_class: 'icon')
              = _('Create branch')
          %li.divider.droplab-item-ignore

          %li.droplab-item-ignore.gl-ml-3.gl-mr-3.gl-mt-5
            - if can_create_confidential_merge_request?
              #js-forked-project{ data: { namespace_path: @project.namespace.full_path, project_path: @project.full_path, new_fork_path: new_project_fork_path(@project), help_page_path: help_page_path('user/project/merge_requests/index.md') } }
            .form-group
              %label{ for: 'new-branch-name' }
                = _('Branch name')
              %input#new-branch-name.js-branch-name.form-control.gl-form-input{ type: 'text', placeholder: "#{@issue.to_branch_name}", value: "#{@issue.to_branch_name}" }
              %span.js-branch-message.form-text

            .form-group
              %label{ for: 'source-name' }
                = _('Source (branch or tag)')
              %input#source-name.js-ref.ref.form-control.gl-form-input{ type: 'text', placeholder: "#{@project.default_branch}", value: "#{@project.default_branch}", data: { value: "#{@project.default_branch}" } }
              %span.js-ref-message.form-text.text-muted

            .form-group
              %button.btn.gl-button.btn-success.js-create-target{ type: 'button', data: { action: 'create-mr' } }
                = create_mr_text

            - if can_create_confidential_merge_request?
              %p.text-warning.js-exposed-info-warning.hidden
                = _('This may expose confidential information as the selected fork is in another namespace that can have other members.')
